package com.gic.haoban.manage.web.vo;

import java.io.Serializable;
import java.util.Date;

public class StaffClerkInfoVo implements Serializable{
	
	
	private String staffClerkRelationId;

    private String staffId;

    private String wxEnterpriseId;

    private String wxEnterpriseName;

    private String wxUserId;

    private String enterpriseId;

    private String enterpriseName;

    private String storeId;

    private String storeName;

    private String storeCode;

    private Integer clerkType;

    private String clerkId;

    private String clerkName;

    private String clerkCode;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    private String clerkPhoneNumber;

    private static final long serialVersionUID = 1L;

    public String getWxEnterpriseName() {
        return wxEnterpriseName;
    }

    public void setWxEnterpriseName(String wxEnterpriseName) {
        this.wxEnterpriseName = wxEnterpriseName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkPhoneNumber() {
        return clerkPhoneNumber;
    }

    public void setClerkPhoneNumber(String clerkPhoneNumber) {
        this.clerkPhoneNumber = clerkPhoneNumber;
    }

    public String getStaffClerkRelationId() {
        return staffClerkRelationId;
    }

    public void setStaffClerkRelationId(String staffClerkRelationId) {
        this.staffClerkRelationId = staffClerkRelationId == null ? null : staffClerkRelationId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId == null ? null : wxUserId.trim();
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId == null ? null : enterpriseId.trim();
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId == null ? null : storeId.trim();
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId == null ? null : clerkId.trim();
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode == null ? null : clerkCode.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}
